
@use 'sass:math'
$ancho-movil: 768px

.contenedor
	position: relative
	display: grid
	grid-template-areas: "lista" "boton"
	grid-template-rows: auto auto
	justify-content: center
	justify-items: center
	grid-gap: 0rem
	margin: 0 -1rem -1rem
	padding: 0 1rem 1rem

	@media (min-width: $ancho-movil)
		grid-template-areas: "area"
		grid-template-rows: auto
		justify-items: start
		align-items: end
		grid-gap: 0
		padding: 0
		margin: 0

	> *
		// outline: 1px solid fuchsia



	@media (max-width: $ancho-movil)
		&::before
			transition: all 150ms
			content: ""
			position: absolute
			bottom: 0
			left: 0
			right: 0
			background-color: rgba(0,0,0,0.9)
			height: 0vh



.botonMenu
	grid-area: boton
	background-color: #FDBA30
	border: none
	width: 40px
	height: 40px
	border-radius: 100%
	position: relative
	z-index: 1
	transition: all 250ms


	@media (min-width: $ancho-movil)
		grid-area: area
		width: 60px
		height: 60px

	&:hover
		transform: scale(1.1)
		box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8)

	svg
		width: 22px
		margin: 0 auto
		display: block

		@media (min-width: $ancho-movil)
			width: 32px

		rect
			fill: black
			transition: all 250ms

	&:hover,
	&:active,
	&:focus
		background-color: #FDBA30
		outline: none

.lista
	grid-area: lista
	display: flex
	flex-direction: column-reverse
	position: relative
	z-index: 0

	@media (min-width: $ancho-movil)
		grid-area: area
		display: block


	a,
	button
		display: flex
		align-items: center
		margin: 0 0 -100% 0
		// margin: .5rem
		// position: absolute
		// bottom: 0
		// left: 0
		opacity: 0
		transition: all 250ms ease-in-out
		color: black
		width: 60px
		background-color: transparent
		justify-content: flex-start

		font-weight: bold
		font-size: 12px
		pointer-events: none
		position: relative
		overflow: visible

		@media (min-width: $ancho-movil)
			opacity: 0
			margin: 0
			position: absolute
			bottom: 0
			left: 0

		i
			background-color: #FDBA30
			width: 60px
			height: 60px
			border-radius: 100%
			display: flex
			align-items: center
			justify-content: center
			flex: 0 0 auto
			position: relative
			z-index: 1

		span
			position: absolute
			top: 50%
			left: 100%
			transform: translateY(-50%)

			display: block
			background-color: #FDBA30
			color: inherit
			padding: 0.2em 1em
			border-radius: 0 2em 2em 0
			white-space: nowrap
			margin-left: -1em

			@media (min-width: $ancho-movil)
				transform: none
				position: static


		img
			filter: none
			transition: all 150ms ease-in-out


		&:hover
			color:  #FDBA30

			i,
			span
				background-color: black

			img
				filter: invert(83%) sepia(63%) saturate(3301%) hue-rotate(332deg) brightness(101%) contrast(98%)

.expandido
	// height: 100vh
	// margin:
	// 	top: -100%
	// background: rgba(255,255,255, 0.3)
	// background: linear-gradient(180deg, rgba(0,0,0,0) 0%,rgba(0,0,0,0) 0%, rgba(0,0,0,1) 100%)
	// background-image: linear-gradient(top,  rgba(0,0,0,0.9), rgba(0,0,0,0))

	@media (min-width: $ancho-movil)
		background: none

	@media (max-width: $ancho-movil)
		&::before
			content: ""
			position: absolute
			bottom: 0
			left: 0
			right: 0
			background-color: rgba(0,0,0,0.6)
			height: 100vh

	.botonMenu
		background-color: black
		transform: rotate(45deg)
		svg
			rect
				fill: #FDBA30


	.lista
		a,
		button
			opacity: 1
			margin: .5rem
			pointer-events: auto
			width: auto

			@media (min-width: $ancho-movil)
				margin: 0

				$items: 3
				$angulo: 90deg / ($items - 1)
				$radioX: 150// 200
				$radioY: 90// 120
				@for $i from 1 through $items
					&:nth-child(#{$i})
						left: #{$radioX * math.sin(($i - 1) * $angulo)}px
						bottom: #{$radioY * math.cos(($i - 1) * $angulo)}px
						transform: translateY(percentage((($items - $i) * 60) / -100))
				// 		// transform: translate(#{$radioX * math.sin(($i - 1) * $angulo)}px, #{-$radioY * math.cos(($i - 1) * $angulo)}px)

				// 		&::after
				// 			content: "#{$radioX * math.cos(($i - 1) * $angulo)}px"
				// &:nth-child(1)
				// 	left: 0px
				// 	bottom: 150px
				// &:nth-child(2)
				// 	left: 55px
				// 	bottom: 100px
				// &:nth-child(3)
				// 	left: 110px
				// 	bottom: 50px
				// &:nth-child(4)
				// 	left: 160px
				// 	bottom: 0px

.contenido
	grid-area: contenido
